Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.communities.messaging
Enum MessagingAddressType.PrimaryType

    java.lang.Object
      java.lang.Enum<MessagingAddressType.PrimaryType>
          com.bea.netuix.application.communities.messaging.MessagingAddressType.PrimaryType

All Implemented Interfaces
  Serializable, Comparable<MessagingAddressType.PrimaryType>

Enclosing class:
  MessagingAddressType

    public static enum MessagingAddressType.PrimaryType

extends Enum<MessagingAddressType.PrimaryType>

Enum Constant Summary
`CUSTOM` Custom messaging address type
`EMAIL` Email messaging address type
`INSTANT_MESSAGE` Instant message messaging address type

Method Summary
`static MessagingAddressType.PrimaryType` | `getFromValue(String value)` Returns the `PrimaryType` given it's string value.
`String` | `getValue()` Returns the value of this primary type
`static MessagingAddressType.PrimaryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessagingAddressType.PrimaryType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMAIL

    public static final MessagingAddressType.PrimaryType EMAIL

  Email messaging address type

### INSTANT_MESSAGE

    public static final MessagingAddressType.PrimaryType INSTANT_MESSAGE

  Instant message messaging address type

### CUSTOM

    public static final MessagingAddressType.PrimaryType CUSTOM

  Custom messaging address type

Method Detail

### values

    public static final MessagingAddressType.PrimaryType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static MessagingAddressType.PrimaryType valueOf(String name)

  Returns the enum constant of this type with the specified name.

### getValue

    public String getValue()

  Returns the value of this primary type

  Returns
    value

### getFromValue

    public static MessagingAddressType.PrimaryType getFromValue(String value)

  Returns the `PrimaryType` given it's string value.

  Parameters
    `value` - string value of primary type
  Returns
    primary type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.